# Abstract

Try to use [MLflow](https://mlflow.org) platform to log PyTorch model training, and pull production model from model registry to run inference⛩

# Requirements

* MacOS 12.5
* Docker 20.10

# Dir

* **service**
  * House MLflow service data, including MLflow artifacts, backend store and model registry

# Files

* **conda.yaml**
  * conda env yaml to run this repo
* **start_mlflow_server.sh**
  * a script to start MLflow server with basic configuration
* **test_pytorch_m1.py**
  * a script to test PyTorch on Apple M1 platform with GPU acceleration
* **train.py**
  * a sample code to apply PyTorch to train a small neural network to predict fortune with MLflow logging
* **predict.py**
  * a sample code to call registered model to predict testing data and save model to local file system
* **get_registered_model_via_rest_api.py**
  * a script to test MLflow REST api


###### tags: `MLOps`